Vsan Site Maintenance System Vsan Query Cluster Site Maintenance State

Vsan Site Maintenance System Vsan Query Cluster Site Maintenance State
Query the maintenance state of all fault domains in the specified cluster.

Query the maintenance state of all fault domains in the specified cluster.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanSiteMaintenanceSystem/{moId}/VsanQueryClusterSiteMaintenanceState
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanSiteMaintenanceSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

The target cluster to query.

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

A list of SiteMaintenanceInfo objects, each representing the maintenance state of a fault domain in the target cluster. If the target cluster is not a stretched cluster, an empty list is returned.

[
    {
        "_typeName": "string",
        "faultDomainName": "string",
        "state": "string",
        "trackingTask": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "hostStatus": [
            {
                "_typeName": "string",
                "host": {
                    "_typeName": "string",
                    "type": "string",
                    "value": "string"
                },
                "state": "string",
                "startTime": "string",
                "hostCount": 0,
                "hosts": [
                    "string"
                ],
                "statusUpdateTime": 0
            }
        ],
        "statusUpdateTime": 0
    }
]
array of object
Optional

This class provides information regarding the maintenance mode status for a site within a stretched cluster.

This structure may be used only with operations rendered under /vsan.


500

VsanFault: If any unexpected runtime fault occurs.

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanSiteMaintenanceSystem/{moId}/VsanQueryClusterSiteMaintenanceState